curl --request GET \
--url https://api.dev.eka.care/eka-mcp/medications/v1/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.eka.care/eka-mcp/medications/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.eka.care/eka-mcp/medications/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"generic_name": "<string>",
"manufacturer_name": "<string>",
"product_type": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Search Medications
This endpoint returns suggested/similar drugs from the Eka medical database for the given parameters - drug name, generics, form or volume. Suggestions are ranked based on similarity and also popularity (custom eka metric) of the medicine
Authorizations
Enter JWT token
Query Parameters
The segmented branded name of the medicine like Glim 1mg
The form of the medicine like Tablet, Syrup
The generic name of the medicine like 'Glimeperide', 'Metformin'. In case of compound generics, pass the name only with comma separated like Glimeperide,Metformin The generic name of the medicine like 'Glimeperide', 'Metformin'. In case of compound generics, pass the name only with comma separated like Glimeperide, Metformin
The volume of the drug name or generic composition like '650','1000','500'
Was this page helpful?

